Waken world campaign
Fredrik: MT 3 PT 2 XP 3+8+7+5
Gustav:  MT 0 PT 4 XP 3+8+7+5
- Dr. M. joined your investigation
- Steps of the bridge: 10
- Dr. Maheswaran is missing
- Randolph escaped the hospital on his own
- you are on your own
- Fredrik börjar A Thosand Shapes of Horror med +5 resurser
- Randolph survived the descent
- Fredrik börjar Point of No Return med +5 resurser
- Fredrik börjar Weaver of the Cosmos med +2 resurser
- trapped
-